MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026601Open CASCADE[OCCT] OCCT:Visualizationpublic2015-08-25 15:422016-04-20 15:48
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026601: Visualization, Ray Tracing - make Path Tracing results reproducible for the same camera position
DescriptionDue to continuous random number generation, frame generated for the same camera position is always different.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0044612)
git (administrator)
2015-08-25 15:43

Branch CR26601 has been created by kgv.

SHA-1: 5080aae4989d0810f80f2033e887a0ed925978bd


Detailed log of new commits:

Author: kgv
Date: Tue Aug 25 15:43:31 2015 +0300

    0026601: Visualization, Ray Tracing - make Path Tracing results reproducible for the same camera position
    
    OpenGl_View - reset Random Number Generator seed on progressive render restart
    to produce the same visual results.
(0044613)
kgv (developer)
2015-08-25 15:44

Patch is ready for review.
(0044698)
kgv (developer)
2015-08-27 09:16

Please test the patch.
(0044815)
git (administrator)
2015-08-28 15:38

Branch CR26601 has been updated forcibly by apv.

SHA-1: a69bb3e0d8b6501df733240f98f4d5afa0bc3db5
(0044816)
apv (tester)
2015-08-28 15:38

Branch CR26601 has been rebased on the current master
(0044910)
apv (tester)
2015-08-31 19:00

Dear BugMaster,

Branch CR26601 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: a69bb3e0d8b6501df733240f98f4d5afa0bc3db5

Number of compiler warnings:
occt component:
    Linux: 15 (15 on master)
    Windows: 0 (0 on master)
products component:
    Linux: 39 (39 on master)
    Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 90808267 / 91200021 [-0.43%]
Total CPU difference: 17907.609999999073 / 17164.609999999382 [+4.33%]

Testing on Windows:
Total MEMORY difference: 57078670 / 57088288 [-0.02%]
Total CPU difference: 16426.99890059909 / 16439.744182298913 [-0.08%]
(0046861)
git (administrator)
2015-10-16 16:08

Branch CR26601 has been deleted by kgv.

SHA-1: a69bb3e0d8b6501df733240f98f4d5afa0bc3db5

- Related Changesets
occt: master 1bd2fee4
Timestamp: 2015-08-25 12:43:31
Author: kgv
Committer: bugmaster
Details ] Diff ]
0026601: Visualization, Ray Tracing - make Path Tracing results reproducible for the same camera position

OpenGl_View - reset Random Number Generator seed on progressive render restart
to produce the same visual results.
mod - src/math/math_BullardGenerator.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-25 15:42 kgv New Issue
2015-08-25 15:42 kgv Assigned To => kgv
2015-08-25 15:43 git Note Added: 0044612
2015-08-25 15:44 kgv Note Added: 0044613
2015-08-25 15:44 kgv Assigned To kgv => dbp
2015-08-25 15:44 kgv Severity minor => trivial
2015-08-25 15:44 kgv Status new => resolved
2015-08-27 09:16 kgv Note Added: 0044698
2015-08-27 09:16 kgv Assigned To dbp => bugmaster
2015-08-27 09:16 kgv Status resolved => reviewed
2015-08-27 09:16 kgv Steps to Reproduce Updated View Revisions
2015-08-28 14:46 apv Assigned To bugmaster => apv
2015-08-28 15:38 git Note Added: 0044815
2015-08-28 15:38 apv Note Added: 0044816
2015-08-31 18:58 apv Test case number => Not needed
2015-08-31 19:00 apv Note Added: 0044910
2015-08-31 19:00 apv Assigned To apv => bugmaster
2015-08-31 19:00 apv Status reviewed => tested
2015-09-04 13:02 bugmaster Changeset attached => occt master 1bd2fee4
2015-09-04 13:02 bugmaster Status tested => verified
2015-09-04 13:02 bugmaster Resolution open => fixed
2015-10-16 16:08 git Note Added: 0046861
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker